xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | List of all members
xmltooling::URLInputSource Class Reference

A URL-based parser source that supports a more advanced input stream. More...

`#include <xmltooling/util/ParserPool.h>`

Inheritance diagram for xmltooling::URLInputSource:

## Public Member Functions
| URLInputSource (const XMLCh *url, const char *systemId=0, std::string *cacheTag=0)
| Constructor. More...
| URLInputSource (const xercesc::DOMElement *e, const char *systemId=0, std::string *cacheTag=0)
| Constructor taking a DOM element supporting the following content: More...

## Static Public Attributes
static const char | asciiStatusCodeElementName []
| Element name used to signal a non-successful response when fetching a remote document. More...
static const XMLCh | utf16StatusCodeElementName []
| Element name used to signal a non-successful response when fetching a remote document. More...

## Detailed Description

A URL-based parser source that supports a more advanced input stream.

## Constructor & Destructor Documentation

xmltooling::URLInputSource::URLInputSource | ( | const XMLCh * | url,
|  | const char * | systemId = `0`,
|  | std::string * | cacheTag = `0`
| ) |  |

Constructor.

Parameters

  url | source of input
  systemId | optional system identifier to attach to the source
  cacheTag | optional pointer to string used for cache management

xmltooling::URLInputSource::URLInputSource | ( | const xercesc::DOMElement * | e,
|  | const char * | systemId = `0`,
|  | std::string * | cacheTag = `0`
| ) |  |

Constructor taking a DOM element supporting the following content:

uri | url
  identifies the remote resource
verifyHost
  true iff name of host should be matched against TLS/SSL certificate
TransportOption elements, like so:
  <TransportOption provider="CURL" option="150">0</TransportOption>

Parameters

  e | DOM to supply configuration
  systemId | optional system identifier to attach to the source
  cacheTag | optional pointer to string used for cache management

## Member Data Documentation

const char xmltooling::URLInputSource::asciiStatusCodeElementName[]
| static

Element name used to signal a non-successful response when fetching a remote document.

const XMLCh xmltooling::URLInputSource::utf16StatusCodeElementName[]
| static

Element name used to signal a non-successful response when fetching a remote document.

The documentation for this class was generated from the following file:

- xmltooling/util/ParserPool.h